use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::ICode;

use super::macros::render;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "code")]
pub(crate) struct RenderCode {
    contents: String,
}

render!(
    RenderCode,
    ICode,
    original,
    config,
    output_directory,
    output_file,
    {
        Ok(RenderCode {
            contents: original.contents.clone(),
        })
    }
);
