use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::IEntity;

use super::macros::render;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "entity")]
pub(crate) struct RenderEntity {
    html: String,
}

render!(
    RenderEntity,
    IEntity,
    original,
    config,
    output_directory,
    output_file,
    {
        Ok(RenderEntity {
            html: original.html.clone(),
        })
    }
);
