use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::ITarget;

use super::macros::render;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "target")]
pub(crate) struct RenderTarget {
    id: String,
}

render!(
    RenderTarget,
    ITarget,
    original,
    config,
    output_directory,
    output_file,
    {
        Ok(RenderTarget {
            id: original.id.clone(),
        })
    }
);
